# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "prawn"
  s.version = "0.14.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6") if s.respond_to? :required_rubygems_version=
  s.authors = ["Gregory Brown", "Brad Ediger", "Daniel Nelson", "Jonathan Greenberg", "James Healy"]
  s.date = "2014-03-07"
  s.description = "  Prawn is a fast, tiny, and nimble PDF generator for Ruby\n"
  s.email = ["gregory.t.brown@gmail.com", "brad@bradediger.com", "dnelson@bluejade.com", "greenberg@entryway.net", "jimmy@deefa.com"]
  s.files = ["lib/prawn", "lib/prawn/font.rb", "lib/prawn/table.rb", "lib/prawn/outline.rb", "lib/prawn/utilities.rb", "lib/prawn/repeater.rb", "lib/prawn/encoding.rb", "lib/prawn/security.rb", "lib/prawn/images", "lib/prawn/images/jpg.rb", "lib/prawn/images/png.rb", "lib/prawn/images/image.rb", "lib/prawn/font", "lib/prawn/font/ttf.rb", "lib/prawn/font/dfont.rb", "lib/prawn/font/afm.rb", "lib/prawn/graphics", "lib/prawn/graphics/join_style.rb", "lib/prawn/graphics/patterns.rb", "lib/prawn/graphics/transformation.rb", "lib/prawn/graphics/color.rb", "lib/prawn/graphics/transparency.rb", "lib/prawn/graphics/cap_style.rb", "lib/prawn/graphics/dash.rb", "lib/prawn/measurement_extensions.rb", "lib/prawn/stamp.rb", "lib/prawn/soft_mask.rb", "lib/prawn/errors.rb", "lib/prawn/font_metric_cache.rb", "lib/prawn/graphics.rb", "lib/prawn/document", "lib/prawn/document/span.rb", "lib/prawn/document/internals.rb", "lib/prawn/document/bounding_box.rb", "lib/prawn/document/graphics_state.rb", "lib/prawn/document/column_box.rb", "lib/prawn/document/snapshot.rb", "lib/prawn/images.rb", "lib/prawn/layout.rb", "lib/prawn/text.rb", "lib/prawn/templates.rb", "lib/prawn/layout", "lib/prawn/layout/grid.rb", "lib/prawn/measurements.rb", "lib/prawn/text", "lib/prawn/text/formatted.rb", "lib/prawn/text/box.rb", "lib/prawn/text/formatted", "lib/prawn/text/formatted/fragment.rb", "lib/prawn/text/formatted/parser.rb", "lib/prawn/text/formatted/line_wrap.rb", "lib/prawn/text/formatted/wrap.rb", "lib/prawn/text/formatted/arranger.rb", "lib/prawn/text/formatted/box.rb", "lib/prawn/table", "lib/prawn/table/column_width_calculator.rb", "lib/prawn/table/cell", "lib/prawn/table/cell/subtable.rb", "lib/prawn/table/cell/image.rb", "lib/prawn/table/cell/in_table.rb", "lib/prawn/table/cell/text.rb", "lib/prawn/table/cell/span_dummy.rb", "lib/prawn/table/cell.rb", "lib/prawn/table/cells.rb", "lib/prawn/image_handler.rb", "lib/prawn/document.rb", "lib/pdf", "lib/pdf/core.rb", "lib/pdf/core", "lib/pdf/core/literal_string.rb", "lib/pdf/core/object_store.rb", "lib/pdf/core/outline.rb", "lib/pdf/core/stream.rb", "lib/pdf/core/pdf_object.rb", "lib/pdf/core/name_tree.rb", "lib/pdf/core/document_state.rb", "lib/pdf/core/annotations.rb", "lib/pdf/core/byte_string.rb", "lib/pdf/core/text.rb", "lib/pdf/core/reference.rb", "lib/pdf/core/graphics_state.rb", "lib/pdf/core/filter_list.rb", "lib/pdf/core/page_geometry.rb", "lib/pdf/core/page.rb", "lib/pdf/core/filters.rb", "lib/pdf/core/destinations.rb", "lib/prawn.rb", "spec/annotations_spec.rb", "spec/stroke_styles_spec.rb", "spec/text_spec.rb", "spec/text_spacing_spec.rb", "spec/data", "spec/data/curves.pdf", "spec/font_spec.rb", "spec/repeater_spec.rb", "spec/grid_spec.rb", "spec/reference_spec.rb", "spec/outline_spec.rb", "spec/soft_mask_spec.rb", "spec/filters_spec.rb", "spec/document_spec.rb", "spec/formatted_text_box_spec.rb", "spec/cell_spec.rb", "spec/png_spec.rb", "spec/stamp_spec.rb", "spec/object_store_spec.rb", "spec/snapshot_spec.rb", "spec/text_with_inline_formatting_spec.rb", "spec/font_metric_cache_spec.rb", "spec/transparency_spec.rb", "spec/formatted_text_fragment_spec.rb", "spec/measurement_units_spec.rb", "spec/security_spec.rb", "spec/table_spec.rb", "spec/formatted_text_arranger_spec.rb", "spec/inline_formatted_text_parser_spec.rb", "spec/text_box_spec.rb", "spec/text_rendering_mode_spec.rb", "spec/name_tree_spec.rb", "spec/image_handler_spec.rb", "spec/images_spec.rb", "spec/pdf_object_spec.rb", "spec/acceptance", "spec/acceptance/png.rb", "spec/jpg_spec.rb", "spec/destinations_spec.rb", "spec/table", "spec/table/span_dummy_spec.rb", "spec/template_spec_obsolete.rb", "spec/span_spec.rb", "spec/graphics_spec.rb", "spec/extensions", "spec/extensions/encoding_helpers.rb", "spec/extensions/mocha.rb", "spec/bounding_box_spec.rb", "spec/column_box_spec.rb", "spec/line_wrap_spec.rb", "spec/text_at_spec.rb", "spec/spec_helper.rb", "spec/stream_spec.rb", "manual/example_section.rb", "manual/document_and_page_options", "manual/document_and_page_options/page_margins.rb", "manual/document_and_page_options/print_scaling.rb", "manual/document_and_page_options/metadata.rb", "manual/document_and_page_options/page_size.rb", "manual/document_and_page_options/background.rb", "manual/document_and_page_options/document_and_page_options.rb", "manual/manual", "manual/manual/manual.rb", "manual/manual/foreword.rb", "manual/manual/how_to_read_this_manual.rb", "manual/manual/cover.rb", "manual/images", "manual/images/scale.rb", "manual/images/fit.rb", "manual/images/width_and_height.rb", "manual/images/absolute_position.rb", "manual/images/vertical.rb", "manual/images/plain_image.rb", "manual/images/images.rb", "manual/images/horizontal.rb", "manual/graphics", "manual/graphics/scale.rb", "manual/graphics/rotate.rb", "manual/graphics/stroke_dash.rb", "manual/graphics/translate.rb", "manual/graphics/stroke_join.rb", "manual/graphics/color.rb", "manual/graphics/graphics.rb", "manual/graphics/gradients.rb", "manual/graphics/helper.rb", "manual/graphics/transparency.rb", "manual/graphics/circle_and_ellipse.rb", "manual/graphics/fill_and_stroke.rb", "manual/graphics/polygon.rb", "manual/graphics/common_lines.rb", "manual/graphics/line_width.rb", "manual/graphics/stroke_cap.rb", "manual/graphics/rectangle.rb", "manual/graphics/lines_and_curves.rb", "manual/graphics/soft_masks.rb", "manual/graphics/fill_rules.rb", "manual/bounding_box", "manual/bounding_box/creation.rb", "manual/bounding_box/stretchy.rb", "manual/bounding_box/nesting.rb", "manual/bounding_box/bounding_box.rb", "manual/bounding_box/bounds.rb", "manual/bounding_box/indentation.rb", "manual/bounding_box/canvas.rb", "manual/bounding_box/russian_boxes.rb", "manual/basic_concepts", "manual/basic_concepts/creation.rb", "manual/basic_concepts/measurement.rb", "manual/basic_concepts/adding_pages.rb", "manual/basic_concepts/basic_concepts.rb", "manual/basic_concepts/cursor.rb", "manual/basic_concepts/origin.rb", "manual/basic_concepts/other_cursor_helpers.rb", "manual/example_package.rb", "manual/example_file.rb", "manual/example_helper.rb", "manual/syntax_highlight.rb", "manual/repeatable_content", "manual/repeatable_content/repeater.rb", "manual/repeatable_content/page_numbering.rb", "manual/repeatable_content/stamp.rb", "manual/repeatable_content/repeatable_content.rb", "manual/outline", "manual/outline/outline.rb", "manual/outline/insert_section_after.rb", "manual/outline/add_subsection_to.rb", "manual/outline/sections_and_pages.rb", "manual/layout", "manual/layout/boxes.rb", "manual/layout/layout.rb", "manual/layout/content.rb", "manual/layout/simple_grid.rb", "manual/security", "manual/security/security.rb", "manual/security/encryption.rb", "manual/security/permissions.rb", "manual/text", "manual/text/font.rb", "manual/text/text_box_excess.rb", "manual/text/paragraph_indentation.rb", "manual/text/rotation.rb", "manual/text/text_box_overflow.rb", "manual/text/inline.rb", "manual/text/kerning_and_character_spacing.rb", "manual/text/formatted_text.rb", "manual/text/alignment.rb", "manual/text/text_box_extensions.rb", "manual/text/font_size.rb", "manual/text/single_usage.rb", "manual/text/win_ansi_charset.rb", "manual/text/font_style.rb", "manual/text/right_to_left_text.rb", "manual/text/color.rb", "manual/text/registering_families.rb", "manual/text/text.rb", "manual/text/fallback_fonts.rb", "manual/text/rendering_and_color.rb", "manual/text/positioned_text.rb", "manual/text/formatted_callbacks.rb", "manual/text/utf8.rb", "manual/text/free_flowing_text.rb", "manual/text/leading.rb", "manual/text/group.rb", "manual/text/column_box.rb", "manual/text/line_wrapping.rb", "manual/table", "manual/table/creation.rb", "manual/table/span.rb", "manual/table/table.rb", "manual/table/cell_borders_and_bg.rb", "manual/table/image_cells.rb", "manual/table/column_widths.rb", "manual/table/cell_dimensions.rb", "manual/table/filtering.rb", "manual/table/cell_text.rb", "manual/table/cell_border_lines.rb", "manual/table/row_colors.rb", "manual/table/position.rb", "manual/table/width.rb", "manual/table/content_and_subtables.rb", "manual/table/flow_and_header.rb", "manual/table/style.rb", "manual/table/before_rendering_page.rb", "manual/table/basic_block.rb", "data/encodings/win_ansi.txt", "data/images/pigs.jpg", "data/images/stef.jpg", "data/images/indexed_color.dat", "data/images/indexed_color.png", "data/images/prawn.png", "data/images/fractal.jpg", "data/pdfs/page_without_mediabox.pdf", "data/pdfs/multipage_template.pdf", "data/pdfs/nested_pages.pdf", "data/pdfs/two_hexagons.pdf", "data/pdfs/contains_ttf_font.pdf", "data/pdfs/form.pdf", "data/pdfs/resources_as_indirect_object.pdf", "data/pdfs/version_1_6.pdf", "data/pdfs/encrypted.pdf", "data/pdfs/hexagon.pdf", "data/pdfs/complex_template.pdf", "data/pdfs/indirect_reference.pdf", "data/fonts/MustRead.html", "data/fonts/Courier-Oblique.afm", "data/fonts/Helvetica-Oblique.afm", "data/fonts/Helvetica.afm", "data/fonts/Times-BoldItalic.afm", "data/fonts/Courier-BoldOblique.afm", "data/fonts/Helvetica-BoldOblique.afm", "data/fonts/Courier.afm", "data/fonts/Helvetica-Bold.afm", "data/fonts/ZapfDingbats.afm", "data/fonts/Times-Italic.afm", "data/fonts/Symbol.afm", "data/fonts/Times-Bold.afm", "data/fonts/Times-Roman.afm", "data/fonts/Courier-Bold.afm", "data/shift_jis_text.txt", "Rakefile", "prawn.gemspec", "Gemfile", "COPYING", "LICENSE", "GPLv2", "GPLv3", ".yardopts"]
  s.homepage = "http://prawn.majesticseacreature.com"
  s.licenses = ["RUBY", "GPL-2", "GPL-3"]
  s.post_install_message = "\n  ********************************************\n\n\n  A lot has changed recently in Prawn.\n\n  Please read the changelog for details:\n\n  https://github.com/prawnpdf/prawn/wiki/CHANGELOG\n\n\n  ********************************************\n\n"
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubyforge_project = "prawn"
  s.rubygems_version = "1.8.23"
  s.summary = "A fast and nimble PDF generator for Ruby"
  s.test_files = ["spec/annotations_spec.rb", "spec/stroke_styles_spec.rb", "spec/text_spec.rb", "spec/text_spacing_spec.rb", "spec/font_spec.rb", "spec/repeater_spec.rb", "spec/grid_spec.rb", "spec/reference_spec.rb", "spec/outline_spec.rb", "spec/soft_mask_spec.rb", "spec/filters_spec.rb", "spec/document_spec.rb", "spec/formatted_text_box_spec.rb", "spec/cell_spec.rb", "spec/png_spec.rb", "spec/stamp_spec.rb", "spec/object_store_spec.rb", "spec/snapshot_spec.rb", "spec/text_with_inline_formatting_spec.rb", "spec/font_metric_cache_spec.rb", "spec/transparency_spec.rb", "spec/formatted_text_fragment_spec.rb", "spec/measurement_units_spec.rb", "spec/security_spec.rb", "spec/table_spec.rb", "spec/formatted_text_arranger_spec.rb", "spec/inline_formatted_text_parser_spec.rb", "spec/text_box_spec.rb", "spec/text_rendering_mode_spec.rb", "spec/name_tree_spec.rb", "spec/image_handler_spec.rb", "spec/images_spec.rb", "spec/pdf_object_spec.rb", "spec/jpg_spec.rb", "spec/destinations_spec.rb", "spec/span_spec.rb", "spec/graphics_spec.rb", "spec/bounding_box_spec.rb", "spec/column_box_spec.rb", "spec/line_wrap_spec.rb", "spec/text_at_spec.rb", "spec/stream_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<pdf-reader>, ["~> 1.2"])
      s.add_runtime_dependency(%q<ttfunk>, ["~> 1.0.3"])
      s.add_runtime_dependency(%q<ruby-rc4>, [">= 0"])
      s.add_development_dependency(%q<pdf-inspector>, ["~> 1.1.0"])
      s.add_development_dependency(%q<coderay>, ["~> 1.0.7"])
      s.add_development_dependency(%q<yard>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<mocha>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
    else
      s.add_dependency(%q<pdf-reader>, ["~> 1.2"])
      s.add_dependency(%q<ttfunk>, ["~> 1.0.3"])
      s.add_dependency(%q<ruby-rc4>, [">= 0"])
      s.add_dependency(%q<pdf-inspector>, ["~> 1.1.0"])
      s.add_dependency(%q<coderay>, ["~> 1.0.7"])
      s.add_dependency(%q<yard>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<mocha>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
    end
  else
    s.add_dependency(%q<pdf-reader>, ["~> 1.2"])
    s.add_dependency(%q<ttfunk>, ["~> 1.0.3"])
    s.add_dependency(%q<ruby-rc4>, [">= 0"])
    s.add_dependency(%q<pdf-inspector>, ["~> 1.1.0"])
    s.add_dependency(%q<coderay>, ["~> 1.0.7"])
    s.add_dependency(%q<yard>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<mocha>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
  end
end
